[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazRegions' (#lcl)

# TLazRegion.DoChangeToComplexRegion

Adds the value in Rect to the Parts member, and resets the value in IsSimpleRectRegion.

## Declaration

Source position: lazregions.pas line 85

`public procedure TLazRegion.DoChangeToComplexRegion;`

## Description

DoChangeToComplexRegion is a procedure used to change the region from a simple rectangle to a complex region as defined in the Parts member. DoChangeToComplexRegion uses the values from IsSimpleRectRegion and IsSimpleRectEmpty to determine if any actions are required in the method. No actions are performed when IsSimpleRectRegion is False, or when IsSimpleRectEmpty returns True.

DoChangeToComplexRegion changes the value in IsSimpleRectRegion to False, and calls AddRectangle to store the value in Rect in the Parts member.